### A free/open-source library for quantitative finance

Classes | Functions
ql/math/matrixutilities/getcovariance.hpp File Reference

Covariance matrix calculation. More...

`#include <ql/math/matrix.hpp>`
`#include <ql/utilities/dataformatters.hpp>`
`#include <ql/math/matrixutilities/pseudosqrt.hpp>`
Include dependency graph for getcovariance.hpp:

## Classes

class | CovarianceDecomposition
| Covariance decomposition into correlation and variances. More...

## Functions

template<class DataIterator >
Disposable< Matrix > | getCovariance (DataIterator stdDevBegin, DataIterator stdDevEnd, const Matrix &corr, Real tolerance=1.0e-12)
| Calculation of covariance from correlation and standard deviations.

## Detailed Description

Covariance matrix calculation.